%define variants installer system
%define theme office-server
%define base_name design-bootloader

Name: %base_name-%theme
Version: 4.0.0
Release: alt0.M40.1

Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
License: GPL
Packager: Grigory Batalov <bga@altlinux.org>

PreReq: coreutils
BuildArch: noarch
BuildRequires: cpio gfxboot >= 2.5 fonts-ttf-dejavu rsync
BuildRequires: design-bootloader-installer-source design-bootloader-system-source

Source: %name-%version.tar

%description
Here you find the graphical boot logo. Suitable for both lilo and syslinux.

%package -n %base_name-installer-%theme
PreReq: coreutils
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Office-Server = %version-%release
Obsoletes: %base_name-Office-Server < %version-%release
%description -n %base_name-installer-%theme
Graphical boot logo for lilo and syslinux.

%package -n %base_name-system-%theme
PreReq: coreutils
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Office-Server = %version-%release
Obsoletes: %base_name-Office-Server < %version-%release
%description -n %base_name-system-%theme
Graphical boot logo for lilo and syslinux.

%prep
%setup -q
for v in %variants
do
    cp -a  /usr/src/design-bootloader-$v-source ./
    rsync -a --exclude='design-bootloader-*-source' . design-bootloader-$v-source
done

%build
for v in %variants
do
    pushd design-bootloader-$v-source
    %make BINDIR=/usr/bin/
    popd
done

%install
for v in %variants
do
    pushd design-bootloader-$v-source
    install -d -m 755 %buildroot/boot/splash/%theme-$v
    install -d -m 755 %buildroot/%_datadir/gfxboot/%theme-$v/
    install -m 644 boot/message %buildroot/boot/splash/%theme-$v/
    install -m 644 install/bootlogo %buildroot%_datadir/gfxboot/%theme-$v/
    popd
done

%post -n %base_name-installer-%theme
%__ln_s -nf %theme-installer/message /boot/splash/message
%__ln_s -nf /boot/splash/%theme-installer /boot/splash/%theme
%__ln_s -nf %_datadir/gfxboot/%theme-installer %_datadir/gfxboot/%theme


%preun -n %base_name-installer-%theme
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "%theme/message" ] ||
    %__rm -f /boot/splash/message

%post -n %base_name-system-%theme
%__ln_s -nf %theme-system/message /boot/splash/message
%__ln_s -nf /boot/splash/%theme-system /boot/splash/%theme
%__ln_s -nf %_datadir/gfxboot/%theme-system %_datadir/gfxboot/%theme

%preun -n %base_name-system-%theme
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "%theme/message" ] ||
    %__rm -f /boot/splash/message

%files -n %base_name-installer-%theme
%_datadir/gfxboot/%theme-installer
/boot/splash/%theme-installer

%files -n %base_name-system-%theme
%_datadir/gfxboot/%theme-system
/boot/splash/%theme-system

%changelog
* Tue Jun 10 2008 Grigory Batalov <bga@altlinux.ru> 4.0.0-alt0.M40.1
- Backport to branch 4.0.

* Thu Aug 23 2007 Grigory Batalov <bga@altlinux.ru> 4.0.0-alt1
- Initial release based on design-bootloader-hpc-4.0.0-alt0.9.
- LiveCD subpackage removed.
- Color scheme changed.
